## org.eclipse.xsd
Interface XSDAnnotation

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDRedefineContent, XSDSchemaContent

All Known Implementing Classes:
  XSDAnnotationImpl

    public interface XSDAnnotation

extends XSDComponent, XSDRedefineContent

A representation of the model object 'Annotation'. Access to the contents of an annotation is provided via their DOM representation.

The following features are supported:

- `Application Information`
- `User Information`
- `Attributes`

See Also:
  `XSDPackage.getXSDAnnotation()`

Method Summary
`org.w3c.dom.Element` `createApplicationInformation(java.lang.String sourceURI)` Creates a new appinfo element using the containing schema's document as the factory.
`org.w3c.dom.Element` `createUserInformation(java.lang.String sourceURI)` This creates a new documentation element using the containing schema's document as the factory.
`EList<org.w3c.dom.Element>` `getApplicationInformation()` Returns the value of the 'Application Information' attribute list.
`EList<org.w3c.dom.Element>` `getApplicationInformation(java.lang.String sourceURI)` Returns only those elements returned by `getApplicationInformation()` with the given sourceURI; a null sourceURI matches elements without a source attribute.
`java.util.Set<java.lang.String>` `getApplicationInformationSources()` Returns the set of source attribute values of all the appinfo elements.
`EList<org.w3c.dom.Attr>` `getAttributes()` Returns the value of the 'Attributes' attribute list.
`EList<org.w3c.dom.Element>` `getUserInformation()` Returns the value of the 'User Information' attribute list.
`EList<org.w3c.dom.Element>` `getUserInformation(java.lang.String sourceURI)` Returns only those elements returned by `getUserInformation()` with the given sourceURI; a null sourceURI matches elements without a source attribute.
`java.util.Set<java.lang.String>` `getUserInformationSources()` Returns the set of source attribute values of all the documentation elements.

Method Detail

### getApplicationInformation

    EList<org.w3c.dom.Element> getApplicationInformation()

  Returns the value of the 'Application Information' attribute list. The list contents are of type `Element`.

  This represents the application information infoset property, i.e., a list of appinfo elements.

  Returns:
    the value of the 'Application Information' attribute list.
  See Also:
    `XSDPackage.getXSDAnnotation_ApplicationInformation()`

### getUserInformation

    EList<org.w3c.dom.Element> getUserInformation()

  Returns the value of the 'User Information' attribute list. The list contents are of type `Element`.

  This represents the user information infoset property, i.e., a list of documentation elements.

  Returns:
    the value of the 'User Information' attribute list.
  See Also:
    `XSDPackage.getXSDAnnotation_UserInformation()`

### getAttributes

    EList<org.w3c.dom.Attr> getAttributes()

  Returns the value of the 'Attributes' attribute list. The list contents are of type `Attr`.

  This represents the attributes infoset property.

  Returns:
    the value of the 'Attributes' attribute list.
  See Also:
    `XSDPackage.getXSDAnnotation_Attributes()`

### createApplicationInformation

    org.w3c.dom.Element createApplicationInformation(java.lang.String sourceURI)

  Creates a new appinfo element using the containing schema's document as the factory. The caller is responsible for adding the appinfo element to annotation element.

  Parameters:
    `sourceURI` - the initial value of the source attribute.
  Returns:
    a new appinfo element.

### createUserInformation

    org.w3c.dom.Element createUserInformation(java.lang.String sourceURI)

  This creates a new documentation element using the containing schema's document as the factory. The caller is responsible for adding the documentation element to annotation element.

  Parameters:
    `sourceURI` - the initial value of the source attribute.
  Returns:
    a new documentation element.

### getApplicationInformation

    EList<org.w3c.dom.Element> getApplicationInformation(java.lang.String sourceURI)

  Returns only those elements returned by `getApplicationInformation()` with the given sourceURI; a null sourceURI matches elements without a source attribute.

  Parameters:
    `sourceURI` - the source URI to match.
  Returns:
    the elements with the given sourceURI.

### getUserInformation

    EList<org.w3c.dom.Element> getUserInformation(java.lang.String sourceURI)

  Returns only those elements returned by `getUserInformation()` with the given sourceURI; a null sourceURI matches elements without a source attribute.

  Parameters:
    `sourceURI` - the source URI to match.
  Returns:
    the elements with the given sourceURI.

### getApplicationInformationSources

    java.util.Set<java.lang.String> getApplicationInformationSources()

  Returns the set of source attribute values of all the appinfo elements.

  Returns:
    the set of source attribute values of all the appinfo elements.

### getUserInformationSources

    java.util.Set<java.lang.String> getUserInformationSources()

  Returns the set of source attribute values of all the documentation elements.

  Returns:
    the set of source attribute values of all the documentation elements.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.